%define upstream_name    TAP-Harness-JUnit
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate JUnit compatible output from TAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Harness) >= 3.50.0
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Simple)
BuildArch:  noarch

%{?perl_default_filter}

%description
The only difference between this module and _TAP::Harness_ is that this
adds optional 'xmlfile' argument, that causes the output to be formatted
into XML in format similar to one that is produced by JUnit testing
framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc ChangeLog META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-5.mga8
+ Revision: 1497254
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.420.0-4.mga7
+ Revision: 1271460
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.420.0-3.mga6
+ Revision: 1033674
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.420.0-2.mga6
+ Revision: 967162
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.420.0-1.mga6
+ Revision: 848175
- update to 0.42

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-6.mga5
+ Revision: 742544
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.410.0-5.mga5
+ Revision: 735940
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-4.mga5
+ Revision: 686305
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-3.mga4
+ Revision: 522508
- Mageia 4 Mass Rebuild

* Fri Mar 08 2013 guillomovitch <guillomovitch> 0.410.0-2.mga3
+ Revision: 401788
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-2.mga3
+ Revision: 373011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 317755
- update to 0.38

* Fri Aug 31 2012 kharec <kharec> 0.370.0-1.mga3
+ Revision: 286500
- update to 0.37

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.360.0-1.mga2
+ Revision: 190000
- imported package perl-TAP-Harness-JUnit


* Tue Jan 03 2012 cpan2dist 0.36-1mga
- initial mageia release, generated with cpan2dist
